#!/bin/bash
autors="Tomasz Lodarski oraz Piotr Lezon"
odstep="================================"

czas_s=`cat /proc/uptime |gawk -F "." '{print $1}'`; #wycinamy czas w sekindach
let "sekundy=$czas_s % 60";                          #zamieniamy czas na sekundy, minuty, godziny, dni
let "czas_m=($czas_s - $sekundy) / 60";
let "minuty=czas_m % 60";
let "czas_g=($czas_m - $minuty) /60";
let "godziny=czas_g % 24";
let "dni=($czas_g - $godziny) / 24";

nazwa=`whoami`                                        #pobieramy dane usera
host=`hostname`

version=`cat /proc/version|gawk '{print $3}'`         #wersja linuxa
# ************* WYCIAC PIERWSZY WIERSZ Z PONIZSZEGO *************
issue=`cat /etc/issue`                                #dystrybucja

czas=`date|gawk '{print $4}'`                          #wycinamy biezacy czas
dzien=`date|gawk '{print $3}'`  	                      #wycinamy biezacy dzien
miesiac=`date|gawk '{print $2}'`                             #wycinamy biezacy miesiac
rok=`date|gawk '{print $6}'`                               #wycinamy biezacy rok

label memory

mem_total=`cat /proc/meminfo|grep 'MemTotal'|gawk '{print $2}'`; #dane na temat pamieci
mem_free=`cat /proc/meminfo|grep 'MemFree'|gawk '{print $2}'`;   #dane na temat wolnej pamieci
let "mem_use=$mem_total - $mem_free";                            #obliczmy uzyta pamiec

label proc

proc_name=`cat /proc/cpuinfo|grep 'name'|gawk '{print $4,$5,$6,$7,$8,$9,$10}'` #pobieramy dane na temat procesora
proc_mhz=`cat /proc/cpuinfo|grep 'MHz'|gawk '{print $4}'`
proc_cache=`cat /proc/cpuinfo|grep 'cache'|gawk '{print $4,$5}'`

label netstat

netstat -s > temp.tmp;                                                          #netstat do tempa, pozniej wycinamy
ip_total=`grep 'total packets received' temp.tmp|gawk '{print $1}'`
ip_incoming=`grep 'incoming packets delivered' temp.tmp|gawk '{print $1}'`;
ip_request=`grep 'requests sent out' temp.tmp|gawk '{print $1}'`;
icmp_received=`grep 'ICMP messages received' temp.tmp |gawk '{print $1}'`
icmp_messages_send=`grep 'ICMP messages sent' temp.tmp |gawk '{print $1}'`
icmp_failed=`grep 'ICMP messages failed' temp.tmp |gawk '{print $1}'`;
icmp_input=`grep 'input ICMP message failed' temp.tmp |gawk '{print $1}'`;
tcp_active_c=`grep 'active connection' temp.tmp |gawk '{print $1}'`;
tcp_passive_c=`grep 'passive connection' temp.tmp |gawk '{print $1}'`;
tcp_failed=`grep 'failed connection attempts' temp.tmp |gawk '{print $1}'`;
tcp_established=`grep 'connections established' temp.tmp |gawk '{print $1}'`;
udp_received=`grep 'packets received' temp.tmp |grep -v 'total' |gawk '{print $1}'`;
udp_receive_errors=`grep 'packet receive errors' temp.tmp |gawk '{print $1}'`;
udp_sent=`grep 'packets sent' temp.tmp |gawk '{print $1}'`;

#====================
#CZESC GLOWNA SKRYPTU
#====================
label main;
clear

echo "$autors"
echo "$odstep"
echo ""
echo "Obecny czas: $czas, obecna data: $dzien $miesiac $rok";
echo "Zalogowany jako: $nazwa @ $host";                 #wyswietlamy nazwe usera 
echo ""
echo "Twoja wersja linuxa to $version a dystrybucja $issue"
echo ""
echo "Calkowita pamiec RAM: $mem_total kb, zajete: $mem_use kb, wolne: $mem_free kb"
echo ""
echo "Procesor: $proc_name"
echo "Czestotliwosc procesora: $proc_mhz"
echo "Pamiec cache procesora: $proc_cache"
echo ""
echo "Czas pracy systemu: $dni dni, $godziny godzin, $minuty minut, $sekundy sekund";
echo ""
echo "Najwazniejsze informacje na temat sieci:"
echo ""
echo "IP: Ogolem odebrane $ip_total";
echo "IP: Ogolem wyslane $ip_incoming";
echo "IP: Wyslanych zapytan $ip_request";
echo "ICMP: odebranych :$icmp_received";
echo "ICMP: wyslanych :$icmp_messages_send";
echo "ICMP: wysylanie: blednych :$icmp_failed";
echo "ICMP: odbieranie: blednych :$icmp_input";
echo "TCP: poloczenia w trybie aktywnum :$tcp_active_c";
echo "TCP: poloczenia w trybie pasywnym :$tcp_passive_c";
echo "TCP: bledy polaczenia :$tcp_failed";
echo "TCP: aktywne polaczenia $tcp_established";
echo "UDP: pakiety odebrane $udp_received";
echo "UDP: bledne pakiety odebrane $udp_receive_errors";
echo "UDP: pakiety wyslane $udp_sent";
echo ""
echo "DODANE PRZEZ TOMKA"

switch 
case a:
memory
default:
proc
endsw

echo "Koniec"
exit 0 